local _, parentAddonTable = ...
local addon = parentAddonTable.BugGrabber
-- Bail out in case we didn't load up for some reason, which
-- happens for example when an embedded BugGrabber finds a
-- standalone !BugGrabber addon.
if not addon then return end

-- We don't need to bail out here if BugGrabber has been loaded from
-- some other embedding addon already, because :LoadTranslations is
-- only invoked on login. All we do is replace the method with a new
-- one that will never be invoked.

function addon:LoadTranslations(locale, L)
	if locale == "koKR" then
L[ [=[- Select a spell or item by clicking a highlighted button from your actionbars. 
- Green buttons have recognized settings and are enabled. Red buttons are recognized but disabled. 
- Darkened buttons indicate spells and items unknown to AdiButtonAuras.]=] ] = [=[- 행동 단축바에서 강조된 버튼을 클릭하여 주문이나 아이템을 선택하세요.
- 녹색 버튼은 설정을 인식하여 사용됩니다. 적색 버튼은 인식되었지만 사용되지 않습니다.
- 어두워진 버튼은 AdiButtonAuras에 알려지지 않은 주문과 아이템을 나타냅니다.]=]
L["%s when %s %s is found on %s."] = "%s - %s인 %s|1이;가; %s에게 발견된 경우"
L["%s when %s is casting/channeling a spell that you can interrupt."] = "%s - %s|1이;가; 당신이 해제할 수 있는 주문을 시전/정신 집중 중인 경우"
L["%s when you have 3 or more stacks of %s."] = "%s - %s|1이;가; 3 중첩 이상인 경우"
L["a buff you can dispel"] = "해제 가능한 버프"
L["a debuff"] = "디버프"
L["a debuff you can dispel"] = "해제 가능한 디버프"
L["AdiButtonAuras has no rule for this spell/item."] = "AdiButtonAuras에는 이 주문/아이템에 대한 규칙이 없습니다."
L["AdiButtonAuras provides custom rules to suggest the use of some spells. Choose how these hints are displayed below."] = "AdiButtonAuras는 일부 주문의 사용을 제안하기 위해 사용자 정의 규칙을 제공합니다. 아래에서 이 힌트가 어떻게 표시될지를 고르세요."
L["air totems"] = "바람의 토템"
L["Check to show a flash instead of a colored border."] = "색칠된 테두리 대신에 깜박임을 표시하려면 체크하세요."
L["combo points"] = "연계 점수"
L["Countdown Thresholds"] = "초읽기 기준값"
L["darken"] = "어두워짐"
L["Disabled"] = "사용 안 함"
L["Durations above this threshold are hidden. Set to 0 to disable all countdowns."] = "이 값을 웃도는 지속시간은 숨겨집니다. 모든 초읽기를 사용하지 않으려면 0으로 설정하세요."
L["Durations above this threshold will use this format."] = "이 값을 웃도는 지속시간은 이 형식을 사용합니다."
L["Durations below this threshold will show decimals. Set to 0 to disable."] = "이 값을 밑도는 지속시간은 소수로 표시합니다. 사용하지 않으려면 0으로 설정하세요."
L["earth totems"] = "대지의 토템"
L["Enabled"] = "사용함"
L["fire totems"] = "불의 토템"
L["flash"] = "깜박임"
L["Global"] = "공통"
L["item"] = "아이템"
L["lighten"] = "밝아짐"
L["Maximum duration for the \"2.7\" format"] = "최대 지속시간 - \"2.7\" 형식"
L["Maximum duration to show"] = "표시할 최소 지속시간"
L["Minimum duration for the \"2m\" format"] = "최소 지속시간 - \"2m\" 형식"
L["Minimum duration for the \"4:58\" format"] = "최소 지속시간 - \"4:58\" 형식"
L["No flash out of combat"] = "비전투 시 깜박임 없음"
L["No selection"] = "선택 없음"
L["Profiles"] = "프로필"
L["Rotary Star"] = "회전하는 별"
L["Rules"] = "규칙"
L["Rules:"] = "규칙:"
L["Shift+click to toggle."] = "Shift + 클릭으로 전환합니다."
L["Show %s."] = "%s|1을;를; 표시합니다."
L["show duration and/or stack count"] = "지속시간 과/이나 중첩 수 표시"
L["Show flash instead"] = "대신에 깜박임 표시"
L["spell"] = "주문"
L["Spell Hints"] = "주문 힌트"
L["Spells & items"] = "주문 및 아이템"
L["stagger level"] = "시간차 레벨"
L["Status"] = "상태"
L["the buff"] = "버프"
L["the debuff"] = "디버프"
L["the group members"] = "그룹원"
L["the targeted ally"] = "아군 대상"
L["the targeted enemy"] = "적군 대상"
L["THIS DOES NOT AFFECT BLIZZARD FLASHES."] = "이는 BLIZZARD 깜박임에는 영향을 미치지 않습니다."
L["Uncheck to ignore this spell/item."] = "이 주문/아이템을 무시하려면 체크 해제하세요."
L["water totems"] = "물의 토템"
L["your buff"] = "당신의 강화 효과"
L["your debuff"] = "당신의 약화 효과"
L["your pet"] = "당신의 소환수"
	elseif locale == "deDE" then
L[ [=[- Select a spell or item by clicking a highlighted button from your actionbars. 
- Green buttons have recognized settings and are enabled. Red buttons are recognized but disabled. 
- Darkened buttons indicate spells and items unknown to AdiButtonAuras.]=] ] = [=[- Wähle einen Zauber oder Gegenstand durch Anklicken eines hervorgehobenen Buttons auf der Aktionsleiste.
- Grünen Buttons haben erkannte und aktivierte Einstellungen. Rote Buttons wurden erkannt aber deaktiviert.
- Abgedunkelte Buttons kennzeichnen Sprüche oder Gegenstände, die AdiButtonAuras nicht kennt.
]=]
L["\"Bad\" border"] = "\"Schlecht-Rahmen\""
L["\"Good\" border"] = "\"Gut-Rahmen\""
L["%s Else %s"] = "%s Sonst %s"
L["%s when %s %s is found on %s."] = "%s, wenn %s %s auf %s gefunden wurde."
L["%s when %s is casting/channeling a spell that you can interrupt."] = "%s, wenn %s eine Fähigkeit zaubert/kanalisiert, die du unterbrechen kannst."
L["%s when you have 3 or more stacks of %s."] = "%s, wenn du 3 oder mehr Stapel von %s hast."
L["a buff you can dispel"] = "ein Buff, den du bannen kannst"
L["a debuff"] = "ein Debuff"
L["a debuff you can dispel"] = "ein Debuff, den du bannen kannst"
L["AdiButtonAuras has no rule for this spell/item."] = "AdiButtonAuras hat für diesen Zauber/Gegenstand keine Regel."
L["AdiButtonAuras provides custom rules to suggest the use of some spells. Choose how these hints are displayed below."] = "AdiButtonAuras bietet benutzerdefinierte Regeln, um die Verwendung einiger Zauber vorzuschlagen. Wähle unten, wie diese Hinweise angezeigt werden sollen."
L["air totems"] = "Lufttotems"
L["Check to show a border when the (de)buff is missing."] = "Aktivieren, um einen Rahmen anzuzeigen, wenn der (De-)Buff fehlt."
L["Check to show a flash instead of a colored border."] = "Aktivieren, um ein Blinken anstelle eines farbigen Rahmens anzuzeigen"
L["Color of the countdown text for values above 3."] = "Farbe des Countdown-Texts für Werte über 3."
L["Color of the countdown text for values around 0."] = "Farbe des Countdown-Texts für Werte gegen 0."
L["Color of the countdown text for values around 3."] = "Farbe des Countdown-Texts für Werte gegen 3."
L["combo points"] = "Kombopunkte"
L["Configure spells and items."] = "Zauber und Gegenstände konfigurieren"
L["Could not load configuration panel"] = "Konfigurationsfenster konnte nicht geladen werden"
L["Countdown above 10"] = "Countdown über 10"
L["Countdown around 0"] = "Countdown gegen 0"
L["Countdown around 3"] = "Countdown gegen 3"
L["Countdown Thresholds"] = "Countdown-Schwellenwert"
L["darken"] = "abdunkeln"
L["Disabled"] = "Deaktiviert"
L["Durations above this threshold are hidden. Set to 0 to disable all countdowns."] = "Dauer oberhalb dieses Schwellenwerts wird nicht angezeigt. Setze auf 0, um alle Countdowns zu deaktivieren."
L["Durations above this threshold will use this format."] = "Dauer oberhalb dieses Schwellenwerts wird dieses Format benutzen."
L["Durations below this threshold will show decimals. Set to 0 to disable."] = "Dauer unterhalb dieses Schwellenwerts wird Kommazahlen anzeigen. Auf 0 setzen zum Deaktivieren."
L["earth totems"] = "Erdtotems"
L["Enabled"] = "Aktiviert"
L["fire totems"] = "Feuertotems"
L["flash"] = "blinken"
L["Flashing Border"] = "Blinkender Rahmen"
L["Global"] = "Global"
L["Inverted"] = "Umgekehrt"
L["it is above %s"] = "ist oberhalb von %s"
L["it is below %s"] = "ist unterhalb von %s"
L["item"] = "Gegenstand"
L["lighten"] = "aufhellen"
L["lunar energy"] = "Lunarenergie"
L["Maximum duration for the \"2.7\" format"] = "Maximale Dauer für das Format \"2.7\""
L["Maximum duration to show"] = "Maximal anzuzeigende Dauer"
L["Minimum duration for the \"2m\" format"] = "Minimale Dauer für das Format \"2m\""
L["Minimum duration for the \"4:58\" format"] = "Minimale Dauer für das Format \"4:58\""
L["No flash on cooldown"] = "Kein Aufblitzen bei Abklingzeit"
L["No flash out of combat"] = "Nicht außerhalb des Kampfes"
L["No selection"] = "Keine Auswahl"
L["of type '%s'"] = "des Typs '%s'"
L["Profiles"] = "Profile"
L["Rotary Star"] = "Rotierender Stern"
L["Rules"] = "Regeln"
L["Rules:"] = "Regeln:"
L["Select which rules should by applied."] = "Wähle, welche Regeln angewendet werden sollen."
L["Shift+click to toggle."] = "Umschalt-Klick zum Umschalten."
L["Show %s and %s when %s."] = "%s und %s anzeigen, wenn %s."
L["Show %s and %s when it reaches its maximum."] = "%s und %s anzeigen, wenn es sein Maximum erreicht hat."
L["Show %s count and suggest using it at 10 or more stacks."] = "Anzahl von %s anzeigen und vorschlagen, es bei 10 oder mehr Stapeln zu verwenden."
L["Show %s duration."] = "Dauer von %s anzeigen."
L["Show %s stacks."] = "Stapel von %s anzeigen."
L["Show %s."] = "%s anzeigen."
L["show duration and/or stack count"] = "Dauer und/oder Stapelanzahl anzeigen"
L["Show flash instead"] = "Zeige stattdessen Blinken"
L["Show good border and remaining time of your summoned statue."] = "Den \"Gut-Rahmen\" und die verbleibende Zeit deiner beschworenen Statuen anzeigen."
L["Show hint when your health is below 35%."] = "Einen Hinweis anzeigen, wenn deine Gesundheit unter 35% ist."
L["Show Power Word: Shield or Weakened Soul on targeted ally."] = "Machtwort: Schild oder Geschwächte Seele auf dem anvisierten Verbündeten anzeigen."
L["show the \"bad\" border"] = "den \"Schlecht-Rahmen\" anzeigen"
L["show the \"good\" border"] = "den \"Gut-Rahmen\" anzeigen"
L["Show the number of group member affected by @NAME and the shortest duration."] = "Zeigt die Anzahl der Gruppenmitglieder, die von @NAME betroffen sind, und die kürzeste Dauer an."
L["Show when @NAME or an equivalent haste buff is found on yourself."] = "Zeigt an, wenn @NAME oder ein ähnlicher Tempo-Buff auf dir gefunden wurde."
L["Shows Hint when target is below 35% health."] = "Zeigt einen Hinweis, wenn die Gesundheit deines Ziels unter 35% ist."
L["solar energy"] = "Solarenergie"
L["spell"] = "Zauber"
L["Spell Hints"] = "Zaubervorschläge"
L["Spells & items"] = "Zauber und Gegenstände"
L["stagger level"] = "Staffel-Ebene"
L["Status"] = "Status"
L["suggest"] = "vorschlagen"
L["Suggest using @NAME under 92% mana."] = "Schlage vor @NAME zu nutzen, wenn Mana unter 92% sinkt."
L["Suggest when at least %s %s are running and one of them is below %s seconds."] = "Schlägt vor, wenn mindestens %s %s laufen und einer von ihnen unter %s Sekunden ist."
L["Suggest when total effective healing would be at least %d times the base healing."] = "Schlage vor, wenn die gesamte effektive Heilung mindestens %d-mal der Basisheilung entsprechen würde."
L["Suggests to cast Rejuvenation to enable Glyph of Rejuvenation effect."] = "Das Wirken von Verjüngung vorschlagen, um den Effekt der Glyphe der Verjüngung zu aktivieren."
L["Suggests when mastery is inactive."] = "Schlägt vor, wenn Meisterschaft inaktiv ist."
L["the buff"] = "der Buff"
L["The color used for bad things, usually debuffs."] = "Farbe, die für schlechte Dinge verwendet wird, typischerweise Debuffs."
L["The color used for good things, usually buffs."] = "Farbe, die für gute Dinge verwendet wird, typischerweise Buffs."
L["the debuff"] = "der Debuff"
L["the group members"] = "die Gruppenmitglieder"
L["the targeted ally"] = "der anvisierte Verbündete"
L["the targeted enemy"] = "der anvisierte Gegner"
L["THIS DOES NOT AFFECT BLIZZARD FLASHES."] = "DIES BETRIFFT NICHT DAS VON BLIZZARD ANGEZEIGTE BLINKEN."
L["Track @NAME or equivalent raid buffs on all group members. Indicate the duration of the shortest buff and the number of missing buffs."] = "Verfolge @NAME oder ähnliche Raid-Bufs bei allen Gruppenmitgliedern. Zeige die Dauer des kürzesten Buffs und die Anzahl der fehlenden Buffs an."
L["Uncheck to ignore this spell/item."] = "Deaktivieren, um diesen Zauber/Gegenstand zu ignorieren."
L["water totems"] = "Wassertotems"
L["When checked, actions on cooldown do not flash."] = "Wenn aktiviert, werden Aktionen, die gerade abklingen, nicht blinken."
L["When checked, flashes are disabled while out of combat."] = "Wenn aktiviert, werden Sprüche außerhalb des Kampfes nicht blinken."
L["your buff"] = "dein Buff"
L["your debuff"] = "dein Debuff"
L["your pet"] = "dein Begleiter"
L["yourself"] = "du selbst"
	elseif locale == "esES" then
L["\"Bad\" border"] = "Borde 'malo'"
L["\"Good\" border"] = "Borde 'bueno'"
L["%s when %s %s is found on %s."] = "%s cuando %s %s se encuentra en %s."
L["%s when %s is casting/channeling a spell that you can interrupt."] = "%s cuando %s está lanzado o canalizando un hechizo que puedes interrumpir."
L["%s when you have 3 or more stacks of %s."] = "%s cuando tienes 3 o más montones de %s."
L["a buff you can dispel"] = "un benefico que puedes disipar"
L["a debuff you can dispel"] = "un perjuicio que puedes disipar"
L["Check to show a border when the (de)buff is missing."] = "Mostrar un borde cuando el beneficio o perjuicio se falta."
L["combo points"] = "puntos de combo"
L["darken"] = "oscurecerse"
L["Disabled"] = "Desactivado"
L["Durations above this threshold are hidden. Set to 0 to disable all countdowns."] = "Duraciones más de este umbral se ocultan. Establece a 0 para desactivar todos cooldowns."
L["Enabled"] = "Activado"
L["flash"] = "destello"
L["Global"] = "Global"
L["Inverted"] = "Invertido"
L["it is above %s"] = "está mas de %s"
L["it is below %s"] = "está menos de %s"
L["lighten"] = "aclarar"
L["lunar energy"] = "energía lunar"
L["Maximum duration for the \"2.7\" format"] = "Duración máxima para el formato '2.7'"
L["Maximum duration to show"] = "Duración máxima para mostrar"
L["Minimum duration for the \"2m\" format"] = "Duración mínima para el formato '2m'"
L["Minimum duration for the \"4:58\" format"] = "Duración mínima para el formato '4:58'"
L["No flash on cooldown"] = "No destellar en cooldown"
L["No selection"] = "No hay selección"
L["Profiles"] = "Perfiles"
L["Rules"] = "Reglas"
L["Select which rules should by applied."] = "Seleccione cual reglas para applicar."
L["Shift+click to toggle."] = "Mayús-clic para alternar."
L["Show %s and %s when %s."] = "Mostrar %s y %s cuando %s."
L["Show %s and %s when it reaches its maximum."] = "Mostrar %s y %s cuando se alcanza su máximo"
L["Show %s."] = "Mostrar %s."
L["show duration and/or stack count"] = "mostrar duración y/o cuenta del montón"
L["show the \"bad\" border"] = "mostrar el borde 'malo'"
L["show the \"good\" border"] = "mostrar el borde 'bueno'"
L["Show the number of group member affected by @NAME and the shortest duration."] = "Mostrar el número del miembro del grupo quién está afectado por @NAME y la duración más corta."
L["Show when @NAME or an equivalent haste buff is found on yourself."] = "Mostrar cuando @NAME o un beneficio equivalente se encuentra en ti mismo."
L["solar energy"] = "energía solar"
L["Spells & items"] = "Hechizos y objetos"
L["stagger level"] = "nivel de Alpazar"
L["Status"] = "Estado"
L["the buff"] = "el beneficio"
L["The color used for bad things, usually debuffs."] = "El color a utilizar para las cosas malas, en general perjuicios."
L["The color used for good things, usually buffs."] = "El color a utilizar para las cosas malas, en general beneficios."
L["the debuff"] = "el perjuicio"
L["the group members"] = "los miembres del grupo"
L["the targeted ally"] = "el aliado seleccionado"
L["the targeted enemy"] = "el aliado seleccionado"
L["Uncheck to ignore this spell/item."] = "Deseleccione para ignorar este hechizo o objecto."
L["your buff"] = "tu beneficio"
L["your debuff"] = "tu perjuicio"
L["your pet"] = "tu mascota"
L["yourself"] = "tú mismo"
	elseif locale == "zhTW" then
L[ [=[- Select a spell or item by clicking a highlighted button from your actionbars. 
- Green buttons have recognized settings and are enabled. Red buttons are recognized but disabled. 
- Darkened buttons indicate spells and items unknown to AdiButtonAuras.]=] ] = [=[- 點擊動作條上高亮的按鈕選擇法術或物品。
- 綠色按鈕為有可辨識設定並已啟用。 紅色按鈕為有可辨識設定並已停用。
- 暗色按鈕為 AdiButtonAuras 未能辨識的法術給物品。]=]
L["\"Bad\" border"] = "「減益」邊框"
L["\"Good\" border"] = "「增益」邊框"
L["%s Else %s"] = "%s 否則 %s"
L["%s when %s %s is found on %s."] = "當%s身上有 %s %s 時%s。"
L["%s when %s is casting/channeling a spell that you can interrupt."] = [=[當 %s 在施放/引導你可以打斷的法術時%s。
]=]
L["%s when you have 3 or more stacks of %s."] = "當你獲得3層或以上的 %s 效果時 %s。"
L["a buff you can dispel"] = "你可以驅散的法術"
L["a debuff"] = "減益效果"
L["a debuff you can dispel"] = "你可以驅散的減益效果"
L["AdiButtonAuras has no rule for this spell/item."] = "AdiButtonAuras沒有針對該法術/物品的規則"
L["AdiButtonAuras provides custom rules to suggest the use of some spells. Choose how these hints are displayed below."] = "AdiButtonAuras 可讓部份法術按自定規則提示。下方可選擇提示方式。"
L["air totems"] = "空氣圖騰"
L["Check to show a border when the (de)buff is missing."] = "勾選後會於（減）增益效果消失時顯示邊框。"
L["Check to show a flash instead of a colored border."] = "勾選以閃爍取代顏色邊框。"
L["Color of the countdown text for values above 3."] = "倒計時數值大於3的字體顏色"
L["Color of the countdown text for values around 0."] = "數值約為0時的倒數計時字體顏色。"
L["Color of the countdown text for values around 3."] = "倒計時數值大於3的字體顏色"
L["combo points"] = "連擊點"
L["Configure spells and items."] = "設定法術和物品。"
L["Could not load configuration panel"] = "無法加載配置面板"
L["Countdown above 10"] = "大於10秒的倒數計時"
L["Countdown around 0"] = "數值約為0時倒數"
L["Countdown around 3"] = "數值約為3時倒數"
L["Countdown Thresholds"] = "倒數計時的閾值"
L["darken"] = "變暗"
L["Disabled"] = "停用"
L["Durations above this threshold are hidden. Set to 0 to disable all countdowns."] = "持續時間若高於此閾值將被隱藏。設為0以停用所有倒計時。"
L["Durations above this threshold will use this format."] = "持續時間高於閾值時使用此格式。"
L["Durations below this threshold will show decimals. Set to 0 to disable."] = "持續時間低於這閾值時顯時小數位。設為0可停用。"
L["earth totems"] = "大地圖騰"
L["Enabled"] = "啟用"
L["fire totems"] = "火焰圖騰"
L["flash"] = "閃爍"
L["Flashing Border"] = "閃爍邊框"
L["Global"] = "全局"
L["Inverted"] = "反向"
L["it is above %s"] = "高於 %s"
L["it is below %s"] = "低於 %s"
L["item"] = "物品"
L["lighten"] = "變亮"
L["lunar energy"] = "月能"
L["Maximum duration for the \"2.7\" format"] = "以“2.7”的格式顯示最大持續時間"
L["Maximum duration to show"] = "顯示最長持續時間"
L["Minimum duration for the \"2m\" format"] = "以“2m”的格式顯示最小持續時間"
L["Minimum duration for the \"4:58\" format"] = "以“4:58”的格式顯示最小持續時間"
L["No flash on cooldown"] = "冷卻時不閃光"
L["No flash out of combat"] = "脫離戰鬥時不閃爍"
L["No selection"] = "未選擇"
L["of type '%s'"] = "%s 類型"
L["Profiles"] = "配置文件"
L["Rotary Star"] = "旋轉星形"
L["Rules"] = "規則"
L["Rules:"] = "規則："
L["Select which rules should by applied."] = "選擇要應用的規則"
L["Shift+click to toggle."] = "Shift+點擊切換"
L["Show %s and %s when %s."] = "當 %s 時顯示 %s 和 %s。"
L["Show %s and %s when it reaches its maximum."] = "當 %s 和 %s 達到最大值時顯示。"
L["Show %s count and suggest using it at 10 or more stacks."] = "顯示 %s 計數並於當堆疊數為10或以上時提示使用。"
L["Show %s duration."] = "顯示 %s 的持續時間。"
L["Show %s stacks."] = "顯示 %s 的堆疊數量。"
L["Show %s."] = "顯示 %s。"
L["show duration and/or stack count"] = "顯示持續時間和/或堆疊數量"
L["Show flash instead"] = "以閃爍代替"
L["Show good border and remaining time of your summoned statue."] = "顯示“增益”邊框及已召喚的雕像的剩餘時間。"
L["Show hint when your health is below 35%."] = "自身生命值低於35%時提示。"
L["Show Power Word: Shield or Weakened Soul on targeted ally."] = "顯示目標盟友身上的真言術：盾或復活虛弱。"
L["show the \"bad\" border"] = "顯示「減益」邊框"
L["show the \"good\" border"] = "顯示「增益」邊框"
L["Show the number of group member affected by @NAME and the shortest duration."] = "顯示被 @NAME 影響的隊員數量以及最短持續時間。"
L["Show when @NAME or an equivalent haste buff is found on yourself."] = "當你身上有 @NAME 或相等的加速增益效果時顯示。"
L["Shows Hint when target is below 35% health."] = "目標生命值低於35%時提示。"
L["solar energy"] = "日能"
L["spell"] = "法術"
L["Spell Hints"] = "法術提示"
L["Spells & items"] = "法術 & 物品"
L["stagger level"] = "參差值"
L["Status"] = "狀態"
L["suggest"] = "提示"
L["Suggest using @NAME under 92% mana."] = "當法力值低於92%時提示使用 @NAME。"
L["Suggest when at least %s %s are running and one of them is below %s seconds."] = "當 %s %s 生效而其中一個低於%s秒時提示。"
L["Suggest when total effective healing would be at least %d times the base healing."] = "總有效治療最少為基本治療的%d倍時提示。"
L["Suggests to cast Rejuvenation to enable Glyph of Rejuvenation effect."] = "提示施放回春術以啟動回春術雕紋效果。"
L["Suggests when mastery is inactive."] = "缺少精通時提示。"
L["the buff"] = "增益效果"
L["The color used for bad things, usually debuffs."] = "減益邊框顏色，通常用於減益效果。"
L["The color used for good things, usually buffs."] = "增益邊框顏色，通常用於增益效果。"
L["the debuff"] = "減益效果"
L["the group members"] = "隊伍成員"
L["the targeted ally"] = "目標盟友"
L["the targeted enemy"] = "目標敵人"
L["THIS DOES NOT AFFECT BLIZZARD FLASHES."] = "該設定不會影響暴雪默認的閃爍提示。"
L["Track @NAME or equivalent raid buffs on all group members. Indicate the duration of the shortest buff and the number of missing buffs."] = "追蹤所有團員身上的 @NAME 或同類的團隊增益效果。顯示持續時間最短的增益效果和缺小的增益效果數量。"
L["Uncheck to ignore this spell/item."] = "取消勾選來忽略此法術/物品。"
L["water totems"] = "水之圖騰"
L["When checked, actions on cooldown do not flash."] = "如勾選，冷卻中的動作不閃爍。"
L["When checked, flashes are disabled while out of combat."] = "如勾選，離開戰鬥時停用閃爍。"
L["your buff"] = "你的增益效果"
L["your debuff"] = "你的減益效果"
L["your pet"] = "你的寵物"
L["yourself"] = "自身"
	elseif locale == "zhCN" then
L[ [=[- Select a spell or item by clicking a highlighted button from your actionbars. 
- Green buttons have recognized settings and are enabled. Red buttons are recognized but disabled. 
- Darkened buttons indicate spells and items unknown to AdiButtonAuras.]=] ] = [=[-点击动作条上高亮的技能或物品以选定它们。
-绿色按钮为已被识别并启用的。红色按钮为已被识别但被禁用的。
-按钮变暗则表明AdiButtonAuras对其无效。]=]
L["\"Bad\" border"] = "“减益”边框"
L["\"Good\" border"] = "“增益”边框"
L["%s Else %s"] = "%s否则%s"
L["%s when %s %s is found on %s."] = "%s当%s%s在%s被找到"
L["%s when %s is casting/channeling a spell that you can interrupt."] = "%s当%s正在施放/引导你可以打断的技能时的建议"
L["%s when you have 3 or more stacks of %s."] = "%s当你有至少三个%s的堆叠时 -- Need Review"
L["a buff you can dispel"] = "你可驱散的增益"
L["a debuff"] = "一个减益"
L["a debuff you can dispel"] = "你可驱散的减益"
L["AdiButtonAuras has no rule for this spell/item."] = "AdiButtonAuras没有此技能/物品的规则"
L["AdiButtonAuras provides custom rules to suggest the use of some spells. Choose how these hints are displayed below."] = "AdiButtonAuras提供了一些技能的使用建议，在下面选择如何显示。"
L["air totems"] = "空气图腾"
L["Check to show a border when the (de)buff is missing."] = "选中后将在增/减益缺失时显示一个边框"
L["Check to show a flash instead of a colored border."] = "选择后将用闪光替代边框着色"
L["Color of the countdown text for values above 3."] = "大于3秒的倒计时文字色彩"
L["Color of the countdown text for values around 0."] = "1秒内的倒计时文字色彩"
L["Color of the countdown text for values around 3."] = "3秒左右的倒计时文字色彩"
L["combo points"] = "连击点"
L["Configure spells and items."] = "配置技能与物品"
L["Could not load configuration panel"] = "无法加载配置面板"
L["Countdown above 10"] = "大于10的倒计时"
L["Countdown around 0"] = "0左右的倒计时"
L["Countdown around 3"] = "3左右的倒计时"
L["Countdown Thresholds"] = "倒计时阈值"
L["darken"] = "变暗"
L["Disabled"] = "禁用"
L["Durations above this threshold are hidden. Set to 0 to disable all countdowns."] = "持续时间高于阈值将隐藏。设定为0以禁用所有倒计时。"
L["Durations above this threshold will use this format."] = "持续时间高于阈值将使用这个格式"
L["Durations below this threshold will show decimals. Set to 0 to disable."] = "持续时间低于阈值将隐藏。设定为0以禁用。"
L["earth totems"] = "大地图腾"
L["Enabled"] = "启用"
L["fire totems"] = "火焰图腾"
L["flash"] = "闪光"
L["Flashing Border"] = "闪烁边框"
L["Global"] = "全局"
L["Inverted"] = "反转"
L["it is above %s"] = "高于"
L["it is below %s"] = "低于"
L["item"] = "物品"
L["lighten"] = "闪电"
L["lunar energy"] = "月能"
L["Maximum duration for the \"2.7\" format"] = "以2.7形式显示的最大持续时间"
L["Maximum duration to show"] = "显示最长持续时间"
L["Minimum duration for the \"2m\" format"] = "以2m形式显示的最大持续时间"
L["Minimum duration for the \"4:58\" format"] = "以4：58形式显示的最大持续时间"
L["No flash on cooldown"] = "冷却时无闪光"
L["No flash out of combat"] = "战斗外不闪光"
L["No selection"] = "未选择"
L["of type '%s'"] = "类型%s"
L["Profiles"] = "配置文件"
L["Rotary Star"] = "旋转星"
L["Rules"] = "规则"
L["Rules:"] = "规则："
L["Select which rules should by applied."] = "选择要应用的规则"
L["Shift+click to toggle."] = "Shift+点击 切换"
L["Show %s and %s when %s."] = "当%s时显示%s与%s"
L["Show %s and %s when it reaches its maximum."] = "当达到最大值时显示%s与%s"
L["Show %s count and suggest using it at 10 or more stacks."] = "当堆叠数超过10时，显示%s计数并提示使用"
L["Show %s duration."] = "显示%s持续时间"
L["Show %s stacks."] = "显示%s堆叠"
L["Show %s."] = "显示%s"
L["show duration and/or stack count"] = "显示持续时间和/或堆叠数量"
L["Show flash instead"] = "以闪光替代"
L["Show good border and remaining time of your summoned statue."] = "在你的召唤物状态上显示“好”边框及剩余时间"
L["Show hint when your health is below 35%."] = "你的生命值低于35%时显示提示"
L["Show Power Word: Shield or Weakened Soul on targeted ally."] = "显示选定的盟友身上的真言术：盾或者复活虚弱"
L["show the \"bad\" border"] = "显示“坏”边框"
L["show the \"good\" border"] = "显示“好”边框"
L["Show the number of group member affected by @NAME and the shortest duration."] = "显示被@NAME影响到的队员数以及最短持续时间。"
L["Show when @NAME or an equivalent haste buff is found on yourself."] = "当你被@NAME或者同等加速增益影响时显示"
L["Shows Hint when target is below 35% health."] = "目标生命值低于35%时显示提示"
L["solar energy"] = "日能"
L["spell"] = "技能"
L["Spell Hints"] = "技能提示"
L["Spells & items"] = "技能与物品"
L["stagger level"] = "错开水平"
L["Status"] = "状态"
L["suggest"] = "建议"
L["Suggest using @NAME under 92% mana."] = "法力值低于92%时建议使用@NAME"
L["Suggest when at least %s %s are running and one of them is below %s seconds."] = "至少%s%s在运作且其中一个时间短于%s时的建议"
L["Suggest when total effective healing would be at least %d times the base healing."] = "全效果治疗为基础治疗至少%d倍时的建议"
L["Suggests to cast Rejuvenation to enable Glyph of Rejuvenation effect."] = "施放回春术以触发雕文效果的建议"
L["Suggests when mastery is inactive."] = "当“精通”不可用时的建议"
L["the buff"] = "增益"
L["The color used for bad things, usually debuffs."] = "减益边框颜色，通常是Debuff。"
L["The color used for good things, usually buffs."] = "增益边框颜色，通常是Buff。"
L["the debuff"] = "减益"
L["the group members"] = "团队成员"
L["the targeted ally"] = "选定的盟友"
L["the targeted enemy"] = "选定的敌人"
L["THIS DOES NOT AFFECT BLIZZARD FLASHES."] = "这个并不影响暴雪闪光"
L["Track @NAME or equivalent raid buffs on all group members. Indicate the duration of the shortest buff and the number of missing buffs."] = "在所有团员身上追踪@NAME或等价的团队增益。标示最短的持续时间及缺失增益的数量。"
L["Uncheck to ignore this spell/item."] = "取消以忽略这个技能/物品"
L["water totems"] = "水图腾"
L["When checked, actions on cooldown do not flash."] = "选中时，冷却结束不闪光"
L["When checked, flashes are disabled while out of combat."] = "选中时，战斗外不闪光·"
L["your buff"] = "你的增益"
L["your debuff"] = "你的减益"
L["your pet"] = "你的宠物"
L["yourself"] = "你自己"
	elseif locale == "ruRU" then
	elseif locale == "frFR" then
L["\"Bad\" border"] = "\"Mauvais\" pourtour"
L["\"Good\" border"] = "\"Bon\" pourtour"
L["%s when %s %s is found on %s."] = "%s quand %s %s est trouvé sur %s."
L["%s when %s is casting/channeling a spell that you can interrupt."] = "%s quand %s lance un sort que vous pouvez interrompre."
L["%s when you have 3 or more stacks of %s."] = "%s quand vous avez 3 %s ou plus."
L["a buff you can dispel"] = "un buff que vous pouvez dissiper"
L["a debuff you can dispel"] = "un débuff que vous pouvez dissiper"
L["Check to show a border when the (de)buff is missing."] = "Cochez pour afficher un pourtour quand le (dé)buff est absent."
L["combo points"] = "les points de combo"
L["Countdown Thresholds"] = "Seuils du compte à rebours"
L["darken"] = "assombrir"
L["Disabled"] = "Désactivé"
L["Durations above this threshold are hidden. Set to 0 to disable all countdowns."] = "Les durées au-dessus de ce seuil sont cachés. Choisissez 0 pour désactiver tous les comptes à rebours."
L["Enabled"] = "Activé"
L["flash"] = "flasher"
L["Global"] = "Global"
L["Inverted"] = "Inversé"
L["it is above %s"] = "c'est au-dessus de %s"
L["it is below %s"] = "c'est au-dessous de %s"
L["lighten"] = "éclaircir"
L["lunar energy"] = "l'énergie lunaire"
L["Maximum duration for the \"2.7\" format"] = "Durée maximale du format \"2.7\""
L["Maximum duration to show"] = "Durée maximale à afficher"
L["Minimum duration for the \"2m\" format"] = "Durée minimale du format \"2m\""
L["Minimum duration for the \"4:58\" format"] = "Durée minimale du format \"4:58\""
L["No flash on cooldown"] = "Pas de flash en cooldown"
L["No selection"] = "Pas de sélection"
L["Profiles"] = "Profils"
L["Rules"] = "Règles"
L["Select which rules should by applied."] = "Sélectionnez les règles à appliquer."
L["Shift+click to toggle."] = "Maj+clic pour (dés)activer."
L["Show %s and %s when %s."] = "afficher %s et %s quand %s."
L["Show %s and %s when it reaches its maximum."] = "Afficher %s et %s quand le maximum est atteint."
L["Show %s."] = "Afficher %s."
L["show duration and/or stack count"] = "afficher la duration et/ou le nombre d'applications"
L["show the \"bad\" border"] = "afficher le pourtour \"mauvais\""
L["show the \"good\" border"] = "afficher le pourtour \"bon\""
L["Show the number of group member affected by @NAME and the shortest duration."] = "Affiche le nombre de membres du groupe affecté par @NAME et sa durée la plus courte;"
L["Show when @NAME or an equivalent haste buff is found on yourself."] = "Affiche quand vous avez @NAME ou un buff de hâte équivalent."
L["solar energy"] = "l'énergie solaire"
L["Spells & items"] = "Sorts & objets"
L["stagger level"] = "le niveau de report"
L["Status"] = "Statut"
L["the buff"] = "le buff"
L["The color used for bad things, usually debuffs."] = "La couleur utilisée pour les mauvaises choses, généralement les débuffs."
L["The color used for good things, usually buffs."] = "La couleur utilisée pour les bonnes choses, généralement les buffs."
L["the debuff"] = "le débuff"
L["the group members"] = "les membres du groupe"
L["the targeted ally"] = "l'allié ciblé"
L["the targeted enemy"] = "l'ennemi ciblé"
L["Uncheck to ignore this spell/item."] = "Décochez pour ignorer ce sort/objet."
L["your buff"] = "votre buff"
L["your debuff"] = "votre débuff"
L["your pet"] = "votre familier"
L["yourself"] = "vous-même"
	elseif locale == "esMX" then
L["\"Bad\" border"] = "Borde 'malo'"
L["\"Good\" border"] = "Borde 'bueno'"
L["%s when %s %s is found on %s."] = "%s cuando %s %s se encuentra en %s."
L["%s when %s is casting/channeling a spell that you can interrupt."] = "%s cuando %s está lanzado o canalizando un hechizo que puedes interrumpir."
L["%s when you have 3 or more stacks of %s."] = "%s cuando tienes 3 o más montones de %s."
L["a buff you can dispel"] = "un benefico que puedes disipar"
L["a debuff you can dispel"] = "un perjuicio que puedes disipar"
L["Check to show a border when the (de)buff is missing."] = "Mostrar un borde cuando el beneficio o perjuicio se falta."
L["combo points"] = "puntos de combo"
L["darken"] = "oscurecerse"
L["Disabled"] = "Desactivado"
L["Durations above this threshold are hidden. Set to 0 to disable all countdowns."] = "Duraciones más de este umbral se ocultan. Establece a 0 para desactivar todos cooldowns."
L["Enabled"] = "Activado"
L["flash"] = "destello"
L["Global"] = "Global"
L["Inverted"] = "Invertido"
L["it is above %s"] = "está mas de %s"
L["it is below %s"] = "está menos de %s"
L["lighten"] = "aclarar"
L["lunar energy"] = "energía lunar"
L["Maximum duration for the \"2.7\" format"] = "Duración máxima para el formato '2.7'"
L["Maximum duration to show"] = "Duración máxima para mostrar"
L["Minimum duration for the \"2m\" format"] = "Duración mínima para el formato '2m'"
L["Minimum duration for the \"4:58\" format"] = "Duración mínima para el formato '4:58'"
L["No flash on cooldown"] = "No destellar en cooldown"
L["No selection"] = "No hay selección"
L["Profiles"] = "Perfiles"
L["Rules"] = "Reglas"
L["Select which rules should by applied."] = "Seleccione cual reglas para applicar."
L["Shift+click to toggle."] = "Mayús-clic para alternar."
L["Show %s and %s when %s."] = "Mostrar %s y %s cuando %s."
L["Show %s and %s when it reaches its maximum."] = "Mostrar %s y %s cuando se alcanza su máximo"
L["Show %s."] = "Mostrar %s."
L["show duration and/or stack count"] = "mostrar duración y/o cuenta del montón"
L["show the \"bad\" border"] = "mostrar el borde 'malo'"
L["show the \"good\" border"] = "mostrar el borde 'bueno'"
L["Show the number of group member affected by @NAME and the shortest duration."] = "Mostrar el número del miembro del grupo quién está afectado por @NAME y la duración más corta."
L["Show when @NAME or an equivalent haste buff is found on yourself."] = "Mostrar cuando @NAME o un beneficio equivalente se encuentra en ti mismo."
L["solar energy"] = "energía solar"
L["Spells & items"] = "Hechizos y objetos"
L["stagger level"] = "nivel de Alpazar"
L["Status"] = "Estado"
L["the buff"] = "el beneficio"
L["The color used for bad things, usually debuffs."] = "El color a utilizar para las cosas malas, en general perjuicios."
L["The color used for good things, usually buffs."] = "El color a utilizar para las cosas malas, en general beneficios."
L["the debuff"] = "el perjuicio"
L["the group members"] = "los miembres del grupo"
L["the targeted ally"] = "el aliado seleccionado"
L["the targeted enemy"] = "el aliado seleccionado"
L["Uncheck to ignore this spell/item."] = "Deseleccione para ignorar este hechizo o objecto."
L["your buff"] = "tu beneficio"
L["your debuff"] = "tu perjuicio"
L["your pet"] = "tu mascota"
L["yourself"] = "tú mismo"
	elseif locale == "ptBR" then
L["Disabled"] = "Desabilitado"
L["Enabled"] = "Habilitado"
L["Global"] = "Global"
L["Shift+click to toggle."] = "Shift + Click para alternar."
L["Status"] = "Status"
	elseif locale == "itIT" then
	end
end

